## scrabble 1.5-1

=== Makefile ===
###############################################################################
#
#  Scrabble Makefile (all it does is install)
#
###############################################################################

prefix	= /usr/local

bindir	= $(prefix)/games
datadir	= $(prefix)/share
mandir	= $(datadir)/man
statedir= $(prefix)/scrabble

varprefix=$(prefix)


install:
	mkdir -p $(bindir)
	mkdir -p $(datadir)/dict
	mkdir -p $(mandir)/man6
	install -m755 scrabble $(bindir)
	$(bindir)/scrabble --filter-words wordlists/* >$(datadir)/dict/scrabble-english
	cat "wordlists/ZZ - Deleted Words.txt" >>$(datadir)/dict/scrabble-english
	chmod 644 $(datadir)/dict/scrabble-english
	-pod2man scrabble >$(mandir)/man6/scrabble.6
	-chmod 644 $(mandir)/man6/scrabble.6

disabled:
	install -m2755 -ggames scrabble $(bindir)
	mkdir -p $(statedir)
	touch $(statedir)/english
	chgrp games $(statedir)/*
	chmod  664  $(statedir)/*

=== debian/changelog ===
scrabble (1.5-1) unstable; urgency=medium

  * Added "build-depends" for "debhelper" (closes: #232991)
  * Added "standards-version" (closes: #233121)
  * Added "info" command (closes: #232618)

 -- Brian White <bcwhite@pobox.com>  Mon, 16 Feb 2004 19:42:41 -0500

scrabble (1.4-1) unstable; urgency=medium

  * Don't trust "wamerican" dictionary -- has non words like "mg"
  * Added full internal semi-official scrabble dictionary
  * Added more word definitions

 -- Brian White <bcwhite@pobox.com>  Wed, 28 Jan 2004 15:50:00 -0500

scrabble (1.3-1) unstable; urgency=medium

  * Removed words that are all upper-case (word-list has capitalized acronyms)

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jan 2004 16:48:12 -0500

scrabble (1.2-2) unstable; urgency=medium

  * Added various official scrabble word lists
  * Fixed dependency on dictionary (closes: #229635)

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jan 2004 08:49:39 -0500

scrabble (1.2-1) unstable; urgency=medium

  * Added various official scrabble word lists
  * Fixed dependency on dictionary (closes: #229635)

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jan 2004 08:45:39 -0500

scrabble (1.1-1) unstable; urgency=medium

  * Moved from experimental to unstable (for release)
  * Don't create /usr/games/games directory (closes: #132610)
  * Fixed game ending condition -- first player out of letters

 -- Brian White <bcwhite@pobox.com>  Sat, 17 Jan 2004 22:50:51 -0500

scrabble (1.0-1) experimental; urgency=low

  * Very first version

 -- Brian White <bcwhite@pobox.com>  Wed,  2 Jan 2002 12:30:17 -0500

=== debian/control ===
Source: scrabble
Section: games
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Build-Depends-Indep: debhelper
Standards-Version: 3.6.1

Package: scrabble
Architecture: all
Description: Popular crossword game
 Scrabble is a hybrid of crossword mentality, positional strategy, and
 a true test of your language mastery.  You start with a board that
 serves for the placement for letter tiles.  On the board there are
 specific squares that when used can add to your score
 dramatically.  These premium squares can double or triple letter
 values.  Some of these squares can even double or triple your word
 scores!  You must position yourself to grab the squares and block
 your opponent from spelling out a "killer" word.
 .
 This package is not for beginners as the display does not include
 letter values or a description of what the symbols on the board
 represent.  You must be familiar with the game of Scrabble before
 trying to play this version.

## scrabble 1.8-1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	mkdir -p $(datadir)/dict
 	mkdir -p $(mandir)/man6
 	install -m755 scrabble $(bindir)
-	$(bindir)/scrabble --filter-words wordlists/* >$(datadir)/dict/scrabble-english
+	$(bindir)/scrabble --filter-words word-frequencies wordlists/* >$(datadir)/dict/scrabble-english
 	cat "wordlists/ZZ - Deleted Words.txt" >>$(datadir)/dict/scrabble-english
 	chmod 644 $(datadir)/dict/scrabble-english
 	-pod2man scrabble >$(mandir)/man6/scrabble.6

=== debian/changelog ===
scrabble (1.8-1) unstable; urgency=medium

  * Fixed play at levels 6-9
  * Added display of who played what words
  * Improved derived-word level assignments

 -- Brian White <bcwhite@pobox.com>  Fri, 25 Mar 2005 23:06:27 -0500

scrabble (1.7-1) unstable; urgency=medium

  * Removed extraneous (level) from word display
  * Fixed usage of difficult words as secondary words
  * Fixed repeated adding of words to new-words file

 -- Brian White <bcwhite@pobox.com>  Mon, 21 Mar 2005 19:33:56 -0500

scrabble (1.6-1) unstable; urgency=medium

  * Now uses a "word frequency" list to use only the most common words at easier levels.
  * Fixed running with invalid parameter (closes: 295217)

 -- Brian White <bcwhite@pobox.com>  Sun, 20 Mar 2005 21:56:07 -0500

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,12 @@
  scores!  You must position yourself to grab the squares and block
  your opponent from spelling out a "killer" word.
  .
+ This version of Scrabble includes a full dictionary, adaptive
+ vocabulary, and simple learning.  Lower difficulty levels give the
+ computer fewer words to choose from but if you use a word that the
+ computer wouldn't have, it's fair game from that point forward.  At
+ maximum difficulty, the computer will play about a 750 point game.
+ .
  This package is not for beginners as the display does not include
  letter values or a description of what the symbols on the board
  represent.  You must be familiar with the game of Scrabble before

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules for "Scrabble"
#
# Written by Brian White <bcwhite@pobox.com>
# This code has been placed in the public domain (the only true "free")
#

package := scrabble
debdir	:= debian/tmp

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1



build:
	@echo "Nothing to build."

clean:
	dh_testdir
#	dh_testroot
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	:
	make prefix=$(debdir)/usr statedir=$(debdir)/var/state/scrabble install
	find $(debdir) | xargs ls -ld
	:
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms --exclude usr/games/scrabble --exclude var/state/scrabble/english
	find $(debdir) | xargs ls -ld
	dh_makeshlibs
	dh_installdeb
	-dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## scrabble 1.9-1

=== debian/changelog ===
scrabble (1.9-1) unstable; urgency=medium

  * Fixed display exceeding 80 characters (closes: #306866)

 -- Brian White <bcwhite@pobox.com>  Thu,  5 May 2005 10:47:28 -0400
